Bug 128432 - [NEW PORT] doxygenfilter
Summary: [NEW PORT] doxygenfilter
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-10-28 08:10 UTC by Sergei Golyashov
Modified: 2008-10-30 00:40 UTC (History)
0 users

See Also:


Attachments
file.shar (2.58 KB, text/plain)
2008-10-28 08:10 UTC, Sergei Golyashov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sergei Golyashov 2008-10-28 08:10:00 UTC
Doxygen Filter allows to use doxygen for creation of the documentation for Perl code.

Fix: Patch attached with submission follows:
Comment 1 Dmitry Marakasov freebsd_committer 2008-10-28 17:01:57 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 2 Dmitry Marakasov 2008-10-28 17:07:54 UTC
* amdmi3@FreeBSD.org (amdmi3@FreeBSD.org) wrote:

What do you think of the folowing improvements:

* Use SF macro
* Shorten comment (to not exceed 70 chars)
* Not use p5- prefix. Though it installs perl modules, as I understand
  it's primarily doxygen filter which is installed into bin/. Am I right here?
* Correct plist

--- doxygenfilter.patch begins here ---
diff -ruN doxygenfilter.orig/Makefile doxygenfilter/Makefile
--- doxygenfilter.orig/Makefile	2008-10-28 20:03:39.000000000 +0300
+++ doxygenfilter/Makefile	2008-10-28 20:02:39.000000000 +0300
@@ -8,19 +8,15 @@
 PORTNAME=	doxygenfilter
 PORTVERSION=	1.01
 CATEGORIES=	devel
-MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
-MASTER_SITE_SUBDIR=	bigsister
+MASTER_SITES=	SF/bigsister
 
 MAINTAINER=	svvord@spline-studio.ru
-COMMENT=	Doxygen Filter is an input filter for Doxygen enabling support for Perl code documentation
+COMMENT=	Input filter for Doxygen enabling support for Perl code documentation
 
-BUILD_DEPENDS=	${LOCALBASE}/bin/perl5:${PORTSDIR}/lang/perl5.8
 RUN_DEPENDS=	${LOCALBASE}/bin/doxygen:${PORTSDIR}/devel/doxygen
 
 PERL_CONFIGURE=	yes
 
-PKGNAMEPREFIX=	"p5-"
-
-MAN3=	DoxyGen::Filter.3
+MAN3=		DoxyGen::Filter.3
 
 .include <bsd.port.mk>
diff -ruN doxygenfilter.orig/pkg-plist doxygenfilter/pkg-plist
--- doxygenfilter.orig/pkg-plist	2008-10-28 20:03:39.000000000 +0300
+++ doxygenfilter/pkg-plist	2008-10-28 19:49:27.000000000 +0300
@@ -1,8 +1,8 @@
 bin/doxygenfilter
-lib/perl5/site_perl/%%PERL_VERSION%%/mach/auto/DoxyGen/Filter/.packlist
-lib/perl5/site_perl/%%PERL_VERSION%%/DoxyGen/SQLFilter.pm
-lib/perl5/site_perl/%%PERL_VERSION%%/DoxyGen/Filter.pm
-lib/perl5/site_perl/%%PERL_VERSION%%/DoxyGen/PerlFilter.pm
-@dirrm lib/perl5/site_perl/%%PERL_VERSION%%/mach/auto/DoxyGen/Filter
-@dirrm lib/perl5/site_perl/%%PERL_VERSION%%/mach/auto/DoxyGen
-@dirrm lib/perl5/site_perl/%%PERL_VERSION%%/DoxyGen
+%%SITE_PERL%%/mach/auto/DoxyGen/Filter/.packlist
+%%SITE_PERL%%/DoxyGen/SQLFilter.pm
+%%SITE_PERL%%/DoxyGen/Filter.pm
+%%SITE_PERL%%/DoxyGen/PerlFilter.pm
+@dirrm %%SITE_PERL%%/mach/auto/DoxyGen/Filter
+@dirrm %%SITE_PERL%%/mach/auto/DoxyGen
+@dirrm %%SITE_PERL%%/DoxyGen
--- doxygenfilter.patch ends here ---

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 3 Dmitry Marakasov freebsd_committer 2008-10-28 21:54:08 UTC
State Changed
From-To: open->feedback

Awaiting confirmation on port changes from submitter
Comment 4 Sergei Golyashov 2008-10-29 09:33:16 UTC
> amdmi3@FreeBSD.org (amdmi3@FreeBSD.org) wrote:
> What do you think of the folowing improvements:
> * Use SF macro
Wow! I will know =3D)

> * Shorten comment (to not exceed 70 chars)=20
ok

>* Not use p5- prefix. Though it installs perl modules, as I understand
>it's primarily doxygen filter which is installed into bin/. Am I right her=
e?
I have thought that it is necessary to specify it since Perl modules are=20
installed.
May be p5- prefix not necessary really. It is not essentially...

>* Correct plist
=EE=EA

=2D-=20
Regards,
Sergei Golyashov
Comment 5 Dmitry Marakasov freebsd_committer 2008-10-29 14:40:35 UTC
State Changed
From-To: feedback->open

Approval received.
Comment 6 dfilter service freebsd_committer 2008-10-29 14:43:18 UTC
amdmi3      2008-10-29 14:43:08 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/p5-doxygenfilter Makefile distinfo pkg-descr pkg-plist 
  Log:
  Doxygen Filter is an input filter for Doxygen enabling support for Perl code
  documentation. Doxygen is quite a powerful code documentation system that
  already has built-in support for multiple programming languages.
  
  WWW: http://www.bigsister.ch/doxygenfilter/doxygenfilter.html
  
  PR:             128432
  Submitted by:   Sergei Golyashov <svvord at spline-studio dot ru>
  
  Revision  Changes    Path
  1.3235    +1 -0      ports/devel/Makefile
  1.1       +23 -0     ports/devel/p5-doxygenfilter/Makefile (new)
  1.1       +3 -0      ports/devel/p5-doxygenfilter/distinfo (new)
  1.1       +5 -0      ports/devel/p5-doxygenfilter/pkg-descr (new)
  1.1       +8 -0      ports/devel/p5-doxygenfilter/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Dmitry Marakasov freebsd_committer 2008-10-29 15:01:01 UTC
State Changed
From-To: open->closed

New port added, with minor changes (decided to use p5- prefix after all 
to reflect it's belonging to Perl realm). Thanks!